directory-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Tina Harron (JIRA)" <j...@apache.org>
Subject [jira] [Created] (DIRSERVER-1904) Can't start ApacheDS 2.0.0-M15 on Ubuntu 12.04 x64
Date Fri, 27 Sep 2013 20:31:04 GMT
Tina Harron created DIRSERVER-1904:
--------------------------------------

             Summary: Can't start ApacheDS 2.0.0-M15 on Ubuntu 12.04 x64
                 Key: DIRSERVER-1904
                 URL: https://issues.apache.org/jira/browse/DIRSERVER-1904
             Project: Directory ApacheDS
          Issue Type: Bug
    Affects Versions: 2.0.0-M15
         Environment: $ uname -a
Linux xxxx-VirtualBox 3.8.0-29-generic #42~precise1-Ubuntu SMP Wed Aug 14 16:19:23 UTC 2013
x86_64 x86_64 x86_64 GNU/Linux

            Reporter: Tina Harron


I can't start ApacheDS 2.0.0-M15 on my Ubuntu 12.04 64-bit machine.

First I installed ApacheDS as follows:
{noformat}
$ chmod a+x apacheds-2.0.0-M15-32bit.bin
$ sudo ./apacheds-2.0.0-M15-32bit.bin
...
Do you agree to the above license terms? [yes or no]
yes
Unpacking the installer...
Extracting the installer...
Where do you want to install ApacheDS? [Default: /opt/apacheds-2.0.0-M15]
Where do you want to install ApacheDS instances? [Default: /var/lib/apacheds-2.0.0-M15]
What name do you want for the default instance? [Default: default]
Where do you want to install the startup script? [Default: /etc/init.d]
Which user do you want to run the server with (if not already existing, the specified user
will be created)? [Default: apacheds]
Installing...
id: apacheds: No such user
Done.
ApacheDS has been installed successfully.
$
{noformat}

Then I tried to start it as follows
{noformat}
/etc/init.d$ ./apacheds-2.0.0-M15-default start
Password:
su: Authentication failure
/etc/init.d$ sudo passwd apacheds
Enter new UNIX password: apache
Retype new UNIX password: apache
passwd: password updated successfully
/etc/init.d$ ./apacheds-2.0.0-M15-default start
Password: apache
Starting ApacheDS - default...
/opt/apacheds-2.0.0-M15/bin/apacheds: 1: eval: /opt/apacheds-2.0.0-M15/bin/wrapper: not found
{noformat}

And saw the following error:
{noformat}
/opt/apacheds-2.0.0-M15/bin/apacheds: 1: eval: /opt/apacheds-2.0.0-M15/bin/wrapper: not found
{noformat}

I get the same error if I try to run wrapper or apacheds in /opt/apacheds-2.0.0-M15/bin directly.

The only link I was able to find on Google about this is a post from stackoverflow - two more
people with the same issue.
http://stackoverflow.com/questions/15180109/apacheds-startup-wrapper-nod-found



--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message